BOX_MESH_LINES = [
    # low-z square
    (-1.0, -1.0, -1.0), (1.0, -1.0, -1.0),
    (1.0, -1.0, -1.0), (1.0, 1.0, -1.0),
    (1.0, 1.0, -1.0), (-1.0, 1.0, -1.0),
    (-1.0, 1.0, -1.0), (-1.0, -1.0, -1.0),

    # high-z square
    (-1.0, -1.0, 1.0), (1.0, -1.0, 1.0),
    (1.0, -1.0, 1.0), (1.0, 1.0, 1.0),
    (1.0, 1.0, 1.0), (-1.0, 1.0, 1.0),
    (-1.0, 1.0, 1.0), (-1.0, -1.0, 1.0),

    #columns
    (-1.0, -1.0, -1.0), (-1.0, -1.0, 1.0),
    (1.0, -1.0, -1.0), (1.0, -1.0, 1.0),
    (1.0, 1.0, -1.0), (1.0, 1.0, 1.0),
    (-1.0, 1.0, -1.0), (-1.0, 1.0, 1.0),
]

import math

SPHERE_MESH_SAMPLES = 180
SPHERE_MESH_LINES = []
last_point = None

circle_points = []

for i in range(SPHERE_MESH_SAMPLES + 1):
    angle = i * math.tau / SPHERE_MESH_SAMPLES
    x,y = math.sin(angle), math.cos(angle)
    point = (x, y)
    if last_point != None:
        circle_points.append(last_point)
        circle_points.append(point)
    last_point = point

for x,y in circle_points:
    SPHERE_MESH_LINES.append((x, y, 0))
for x,y in circle_points:
    SPHERE_MESH_LINES.append((x, 0, y))
for x,y in circle_points:
    SPHERE_MESH_LINES.append((0, x, y))

HALF_CIRCLE_POINTS = SPHERE_MESH_SAMPLES # half because halfcircle, double because lines->points

CAPSULE_END_LINES = []
for x,y in circle_points:
    CAPSULE_END_LINES.append((x, y, 0))
for x,y in circle_points[:HALF_CIRCLE_POINTS]:
    CAPSULE_END_LINES.append((0, y, x))
for x,y in circle_points[:HALF_CIRCLE_POINTS]:
    CAPSULE_END_LINES.append((y, 0, x))

CAPSULE_MID_LINES = [
    (1.0,   0.0, -1.0), (1.0,  0.0, 1.0), # +x
    (-1.0,  0.0, -1.0), (-1.0, 0.0, 1.0), # -x
    (0.0,   1.0, -1.0), (0.0,  1.0, 1.0), # +y
    (0.0,  -1.0, -1.0), (0.0, -1.0, 1.0), # -y
]